import request from '@/utils/request';
export const hdlb_list = (data = {}) =>
    request({
        url: '/xddy/dygl_bjhd_hdlbgl/index',
        data: {
            page: data.page,
            limit: data.limit
        }
    })
export const hd_list = (data = {}) =>
    request({
        url: '/xddy/dygl_bjhd/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            xdb_bjmc:data.xdb_bjmc,
            xdbh_id: data.xdbh_id,
        }
    })
export const hd_add = (data = {}) =>
    request({
        url: '/xddy/dygl_bjhd/add',
        data: {
            issubmit:'1',
            xddy_dygl_bjhd:{
                xdb_bjmc: data.xdb_bjmc,
                xdb_hdmc: data.xdb_hdmc,
                xdbh_id: data.xdbh_id,
                xdbh_name: data.xdbh_name,
                xdb_hdkssj: data.xdb_hdkssj,
                xdb_hdjssj: data.xdb_hdjssj,
                xdb_cjr: data.xdb_cjr,
                // xdb_shr: data.xdb_shr,
                xdb_hddz: data.xdb_hddz,
                xdb_hdms: data.xdb_hdms,
            }
        }
    })
export const hd_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_bjhd/edit',
        data: {
            issubmit:'1',
            xdb_id: data.xdb_id,
            xddy_dygl_bjhd:{
                xdb_bjmc: data.xdb_bjmc,
                xdb_hdmc: data.xdb_hdmc,
                xdbh_id: data.xdbh_id,
                xdbh_name: data.xdbh_name,
                xdb_hdkssj: data.xdb_hdkssj,
                xdb_hdjssj: data.xdb_hdjssj,
                xdb_cjr: data.xdb_cjr,
                xdb_shr: data.xdb_shr,
                xdb_hdzt: data.xdb_hdzt,
                xdb_hddz: data.xdb_hddz,
                xdb_hdms: data.xdb_hdms,
            }
        }
    })
export const hd_del = (data = {}) =>
    request({
        url: '/xddy/dygl_bjhd/delete',
        data: {
            issubmit:'1',
            xdb_id: data.xdb_id
        }
    })
export const sign_add = (data = {}) =>
    request({
        url: '/xddy/dygl_hdbm/add',
        data: {
            issubmit:'1',
            xddy_dygl_hdbm:{
                xdh_xsxm: data.xdh_xsxm,
                xdh_xsxh: data.xdh_xsxh,
                xdh_sjhm: data.xdh_sjhm,
                xdb_id: data.xdb_id,
                xdb_hdmc: data.xdb_hdmc
            }
        }
    })
