import request from '@/utils/request';
export const hd_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_bjhd/detail',
        data: {
            xdb_id:data.xdb_id
        }
    })
export const hd_comment_list = (data = {}) =>
    request({
        url: '/xddy/dygl_hdpl/index',
        data: {
            xdb_id:data.xdb_id,
            page: data.page,
            limit: data.limit
        }
    })
export const hd_comment_add = (data = {}) =>
    request({
        url: '/xddy/dygl_hdpl/add',
        data: {
            issubmit:'1',
            xddy_dygl_hdpl:{
                xdh_plr:data.xdh_plr,
                xdh_plnr:data.xdh_plnr,
                xdb_id: data.xdb_id
            }
        }
    })
export const hd_comment_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_hdpl/edit',
        data: {
            issubmit:'1',
            xdh_id: data.xdh_id,
            xddy_dygl_hdpl:{
                xdh_plr:data.xdh_plr,
                xdh_plnr:data.xdh_plnr,
                xdb_id: data.xdb_id
            }
        }
    })
export const hd_comment_del = (data = {}) =>
    request({
        url: '/xddy/dygl_hdpl/delete',
        data: {
            issubmit:'1',
            xdh_id: data.xdh_id,
        }
    })
