
import request from '@/utils/request';
export const cggl_list = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfgl/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      xdbs_jclx: data.xdbs_jclx,
      grade_id: data.grade_id,
      grade_name: data.grade_name,
      class_name: data.class_name,
      class_num: data.class_num,
      class_id: data.class_id,
      xdbs_hqbj: data.xdbs_hqbj,
      xdbs_ysbj: data.xdbs_ysbj,
      xdbs_zp: data.xdbs_zp,
      xdbs_sj: data.xdbs_sj
    }
  })
export const cggl_add = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfgl/add',
    data: {
      issubmit: '1',
      xddy_dygl_bjzzpb_bjpfgl: {
        xdbs_jclx: "2",
        grade_id: data.grade_id,
        grade_name: data.grade_name,
        class_name: data.class_name,
        class_id: data.class_id,
        xdbs_sj: data.xdbs_sj,
        xdbs_cgxmfz: data.xdbs_cgxmfz,
        xdbs_cgsjdf: data.xdbs_cgsjdf,
        xdbs_sjzdf: data.xdbs_sjzdf,
        xdbs_hqbj: data.xdbs_hqbj,
        xdbs_ysbj: data.xdbs_ysbj,
        xdbs_zp: data.xdbs_zp,
        xdbs_wsxmfz: data.xdbs_wsxmfz,
        xdbs_wssjdf: data.xdbs_wssjdf,
      }
    }
  })
export const cggl_edit = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfgl/edit',
    data: {
      issubmit: '1',
      xdbb_id: data.xdbb_id,
      xddy_dygl_bjzzpb_bjpfgl: {
        xdbs_jclx: data.xdbs_jclx,
        grade_id: data.grade_id,
        grade_name: data.grade_name,
        class_name: data.class_name,
        class_id: data.class_id,
        xdbs_sj: data.xdbs_sj,
        xdbs_cgxmfz: data.xdbs_cgxmfz,
        xdbs_sjzdf: data.xdbs_sjzdf,
        xdbs_hqbj: data.xdbs_hqbj,
        xdbs_ysbj: data.xdbs_ysbj,
        xdbs_zp: data.xdbs_zp,
        xdbs_wsxmfz: data.xdbs_wsxmfz,
        xdbs_wssjdf: data.xdbs_wssjdf,
      }
    }
  })
export const cggl_del = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfgl/delete',
    data: {
      xdbb_id: data.xdbb_id,
    }
  })
export const cggl_detail = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfgl/detail',
    data: {
      xdbb_id: data.xdbb_id,

    },
  })
export const pf_detail = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfjl/detail',
    data: {
      xdbb_id: data.xdbb_id,

    },
  })
export const cggl_export = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfgl/index',
    api: "xls",
    data: {
      page: data.page,
      limit: data.limit
    },
  })

export const grade_search = (data = {}) =>
  request({
    url: '/jcxx/grade/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      grade_id: data.grade_id,
    }
  })

export const class_search = (data = {}) =>
  request({
    url: '/jcxx/class/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      class_name_short: data.class_name_short,
      class_num: data.class_num,
      grade_id: data.grade_id,
      grade_name: data.grade_name,
      team_id: data.team_id,
      team_name: data.team_name,
      rxnf: data.rxnf,

    }
  })
export const fzxq_list = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfjl/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      grade_id: data.grade_id,
      grade_name: data.grade_name,
      class_name: data.class_name,
      class_id: data.class_id,
      xdbsp_id: data.xdbsp_id,
    }
  })
export const fzxq_add = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfjl/add',
    data: {
      issubmit: '1',
      xddy_dygl_bjzzpb_bjpfjl: {
        xdbb_glr: data.xdbb_glr,
        xdbb_sj: data.xdbb_sj,
        grade_id: data.grade_id,
        grade_name: data.grade_name,
        class_name: data.class_name,
        class_id: data.class_id,
        xdbsp_id: data.xdbsp_id,
        xdbsp_fz: data.xdbsp_fz,
        xdbsp_lx: data.xdbsp_lx,
        xdbs_id: data.xdbs_id,
        xdbs_jcxm: data.xdbs_jcxm
      }
    }
  })
export const fzxq_edit = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfjl/edit',
    data: {
      issubmit: '1',
      xdbb_id: data.xdbb_id,
      xddy_dygl_bjzzpb_bjpfjl: {
        xdbb_glr: data.xdbb_glr,
        xdbb_sj: data.xdbb_sj,
        grade_id: data.grade_id,
        grade_name: data.grade_name,
        class_name: data.class_name,
        class_id: data.class_id,
        xdbsp_id: data.xdbsp_id,
        xdbsp_fz: data.xdbsp_fz,
        xdbsp_lx: data.xdbsp_lx,
        xdbs_id: data.xdbs_id,
        xdbs_jcxm: data.xdbs_jcxm,
      }
    }
  })
export const fzxq_del = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfjl/delete',
    data: {
      xdbb_id: data.xdbb_id,
    }
  })
export const fzxq_detail = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfjl/detail',
    data: {
      xdbb_id: data.xdbb_id,

    },
  })
export const fzxq_export = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_bjpfjl/index',
    api: "xls",
    data: {
      page: data.page,
      limit: data.limit
    },
  })
export const xjk_list = (data = {}) =>
  request({
    url: '/xddy/dygl_xsxjk/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,

    }
  })
