import request from '@/utils/request';
export const szwspb_pfx_list = (data = {}) =>
    request({
        url: '/xddy/dygl_bjzzpb_szwspbjcxm_pfx/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            xdbsp_fz: data.xdbsp_fz,
            xdbsp_lx: data.xdbsp_lx,
            xdbs_id: data.xdbs_id,
            xdbs_jcxm: data.xdbs_jcxm,


        }
    })
export const szwspb_pfx_add = (data = {}) =>
    request({
        url: '/xddy/dygl_bjzzpb_szwspbjcxm_pfx/add',
        data: {
            issubmit: '1',
            xddy_dygl_bjzzpb_szwspbjcxm_pfx: {
                xdbsp_fz: data.xdbsp_fz,
                xdbsp_pfx: data.xdbsp_pfx,
                xdbsp_lx: data.xdbsp_lx,
                xdbs_id: data.xdbs_id,
                xdbs_jcxm: data.xdbs_jcxm,
            }
        }
    })
export const szwspb_pfx_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_bjzzpb_szwspbjcxm_pfx/edit',
        data: {
            issubmit: '1',
            xdbsp_id: data.xdbsp_id,
            xddy_dygl_bjzzpb_szwspbjcxm_pfx: {
                xdbsp_fz: data.xdbsp_fz,
                xdbsp_pfx: data.xdbsp_pfx,
                xdbsp_lx: data.xdbsp_lx,
                xdbs_id: data.xdbs_id,
                xdbs_jcxm: data.xdbs_jcxm,
            }
        }
    })
export const szwspb_pfx_del = (data = {}) =>
    request({
        url: '/xddy/dygl_bjzzpb_szwspbjcxm_pfx/delete',
        data: {
            issubmit: '1',
            xdbsp_id: data.xdbsp_id
        }
    })
