import request from '@/utils/request'
export const nj_list = (data = {}) =>
    request({
        url: '/xddy/dygl_fxxt_xsfx_nj/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
            xdfxn_fxrq: data.xdfxn_fxrq,
        }
    })

export const nj_add = (data = {}) =>
    request({
        url: '/xddy/dygl_fxxt_xsfx_nj/add',
        data: {
            issubmit: '1',
            xddy_dygl_fxxt_xsfx_nj: {
                grade_name: data.grade_name,
                grade_id: data.grade_id,
                xdfxn_fxrq: data.xdfxn_fxrq,
                xdfxn_yfrs: data.xdfxn_yfrs,
                xdfxn_sfrs: data.xdfxn_sfrs,
                xdfxn_zlsrs: data.xdfxn_zlsrs,
                xdfxn_ltsrs: data.xdfxn_ltsrs,

            }

        },
    })

export const nj_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_fxxt_xsfx_nj/edit',
        data: {
            issubmit: '1',
            xdfxn_id: data.xdfxn_id,
            xddy_dygl_fxxt_xsfx_nj: {
                grade_name: data.grade_name,
                grade_id: data.grade_id,
                xdfxn_fxrq: data.xdfxn_fxrq,
                xdfxn_yfrs: data.xdfxn_yfrs,
                xdfxn_sfrs: data.xdfxn_sfrs,
                xdfxn_zlsrs: data.xdfxn_zlsrs,
                xdfxn_ltsrs: data.xdfxn_ltsrs,
            }

        },
    })

export const nj_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_fxxt_xsfx_nj/detail',
        data: {
            xdfxn_id: data.xdfxn_id,

        },
    })

export const nj_del = (data = {}) =>
    request({
        url: '/xddy/dygl_fxxt_xsfx_nj/delete',
        data: {
            xdfxn_id: data.xdfxn_id
        },
    })

export const nj_export = (data = {}) =>
    request({
        url: '/xddy/dygl_fxxt_xsfx_nj/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })
export const grade_search = (data = {}) =>
    request({
        url: '/jcxx/grade/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
        }
    })
