import request from '@/utils/request'
export const bj_list = (data = {}) =>
    request({
        url: '/xddy/dygl_fxxt_xsfx_bj/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            class_id: data.class_id,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            xdfxb_fxrq: data.xdfxb_fxrq,
        }
    })

export const bj_add = (data = {}) =>
    request({
        url: '/xddy/dygl_fxxt_xsfx_bj/add',
        data: {
            issubmit: '1',
            xddy_dygl_fxxt_xsfx_bj: {
                grade_name: data.grade_name,
                grade_id: data.grade_id,
                class_name: data.class_name,
                class_id: data.class_id,
                xdfxb_fxrq: data.xdfxb_fxrq,
                xdfxb_yfrs: data.xdfxb_yfrs,
                xdfxb_sfrs: data.xdfxb_sfrs,
                xdfxb_zlsrs: data.xdfxb_zlsrs,
                xdfxb_ltsrs: data.xdfxb_ltsrs,

            }

        },
    })

export const bj_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_fxxt_xsfx_bj/edit',
        data: {
            issubmit: '1',
            xdfxb_id: data.xdfxb_id,
            xddy_dygl_fxxt_xsfx_bj: {
                grade_name: data.grade_name,
                grade_id: data.grade_id,
                class_name: data.class_name,
                class_id: data.class_id,
                xdfxb_fxrq: data.xdfxb_fxrq,
                xdfxb_yfrs: data.xdfxb_yfrs,
                xdfxb_sfrs: data.xdfxb_sfrs,
                xdfxb_zlsrs: data.xdfxb_zlsrs,
                xdfxb_ltsrs: data.xdfxb_ltsrs,
            }

        },
    })

export const bj_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_fxxt_xsfx_bj/detail',
        data: {
            xdfxb_id: data.xdfxb_id,

        },
    })

export const bj_del = (data = {}) =>
    request({
        url: '/xddy/dygl_fxxt_xsfx_bj/delete',
        data: {
            xdfxb_id: data.xdfxb_id
        },
    })

export const bj_export = (data = {}) =>
    request({
        url: '/xddy/dygl_fxxt_xsfx_bj/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })

export const grade_search = (data = {}) =>
    request({
        url: '/jcxx/grade/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
        }
    })

export const class_search = (data = {}) =>
    request({
        url: '/jcxx/class/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            class_name_short: data.class_name_short,
            class_num: data.class_num,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            team_id: data.team_id,
            team_name: data.team_name,
            rxnf: data.rxnf,

        }
    })