import request from '@/utils/request';
export const bjgl_list = (data = {}) =>
    request({
        url: '/jcxx/class/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            class_name_short: data.class_name_short,
            class_num: data.class_num,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            team_id: data.team_id,
            team_name: data.team_name,
            rxnf: data.rxnf,


        }
    })
export const bjgl_add = (data = {}) =>
    request({
        url: '/jcxx/class/add',
        data: {
            issubmit: '1',
            jcxx_class: {
                class_name: data.class_name,
                class_name_short: data.class_name_short,
                class_num: data.class_num,
                grade_id: data.grade_id,
                grade_name: data.grade_name,
                team_id: data.team_id,
                team_name: data.team_name,
                rxnf: data.rxnf,
                 bzr_id: data.bzr_id,
                bzr_name: data.bzr_name,
            }
        }
    })
export const bjgl_edit = (data = {}) =>
    request({
        url: '/jcxx/class/edit',
        data: {
            issubmit: '1',
            class_id: data.class_id,
            jcxx_class: {
                class_name: data.class_name,
                class_name_short: data.class_name_short,
                class_num: data.class_num,
                grade_id: data.grade_id,
                grade_name: data.grade_name,
                team_id: data.team_id,
                team_name: data.team_name,
                rxnf: data.rxnf,
                 bzr_id: data.bzr_id,
                bzr_name: data.bzr_name,
            }
        }
    })
export const bjgl_del = (data = {}) =>
    request({
        url: '/jcxx/class/delete',
        data: {
            issubmit: '1',
            class_id: data.class_id
        }
    })
export const njgl_list = (data = {}) =>
    request({
        url: '/jcxx/grade/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
        }
    })


    export const xqgl_list = (data = {}) =>
    request({
        url: '/jcxx/team/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            team_id: data.team_id,

        }
    })
  export const bzr_list = (data = {}) =>
    request({
        url: '/user/main/index',
        data: {
            dept_id:data.dept_id,
            all: '1',
            org_type:"2",
            page: data.page,
            limit:data.limit

        }
    })