import request from '@/utils/request'
export const tzbb_list = (data = {}) =>
    request({
        url: '/xddy/xstzjk_tzlb/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            sj: data.sj,
        }
    })

export const tzbb_add = (data = {}) =>
    request({
        url: '/xddy/xstzjk_tzlb/add',
        data: {
            issubmit: '1',
            xddy_xstzjk_tzlb: {
                title: data.title,
                sj: data.sj,
                fj: data.fj,
                other: data.other,

            }

        },
    })

export const tzbb_edit = (data = {}) =>
    request({
        url: '/xddy/xstzjk_tzlb/edit',
        data: {
            issubmit: '1',
            id: data.id,
            xddy_xstzjk_tzlb: {
                title: data.title,
                sj: data.sj,
                fj: data.fj,
                other: data.other,

            }

        },
    })

export const tzbb_detail = (data = {}) =>
    request({
        url: '/xddy/xstzjk_tzlb/detail',
        data: {
            id: data.id,

        },
    })

export const tzbb_del = (data = {}) =>
    request({
        url: '/xddy/xstzjk_tzlb/delete',
        data: {
            id: data.id,
        },
    })

export const tzbb_export = (data = {}) =>
    request({
        url: '/xddy/xstzjk_tzlb/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })
