import request from '@/utils/request'
export const xjk_list = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            xdx_xsxh: data.xdx_xsxh,
            xdx_zjlx: data.xdx_zjlx,
            xdx_zym: data.xdx_zym,
            xdx_zjhm: data.xdx_zjhm,
            xdx_jg: data.xdx_jg,
            xdx_xb: data.xdx_xb,
            xdx_mz: data.xdx_mz,
            xdx_zzmm: data.xdx_zzmm,
            xdx_whcd: data.xdx_whcd,
            xdx_szzb: data.xdx_szzb,
            xdx_szdxz: data.xdx_szdxz,
            xdx_jtzz: data.xdx_jtzz,
            xdx_xxdz: data.xdx_xxdz,
            xdx_lxfs: data.xdx_lxfs,
            xdx_ahtc: data.xdx_ahtc,
            xdx_yddqzt: data.xdx_yddqzt,
            grade_id: data.grade_id,
            class_id: data.class_id,
            grade_name: data.grade_name,
            class_name: data.class_name,
            xdx_nl: data.xdx_nl,
            xdx_xx: data.xdx_xx,
            team_id:data.team_id
        }
    })

export const xjk_add = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/add',
        data: {
            issubmit: '1',
            xddy_dygl_xsxjk: {
                xdx_xsxm: data.xdx_xsxm,
                xdx_xsxh: data.xdx_xsxh,
                xdx_csrq: data.xdx_csrq,
                xdx_zjlx: data.xdx_zjlx,
                xdx_zym: data.xdx_zym,
                xdx_zjhm: data.xdx_zjhm,
                xdx_jg: data.xdx_jg,
                xdx_xb: data.xdx_xb,
                xdx_nl: data.xdx_nl,
                xdx_bz: data.xdx_bz,
                xdx_mz: data.xdx_mz,
                xdx_zzmm: data.xdx_zzmm,
                xdx_whcd: data.xdx_whcd,
                xdx_rdsj: data.xdx_rdsj,
                xdx_szzb: data.xdx_szzb,
                xdx_szdxz: data.xdx_szdxz,
                xdx_jtzz: data.xdx_jtzz,
                xdx_xxdz: data.xdx_xxdz,
                xdx_sczp: data.xdx_sczp,
                xdx_lxfs: data.xdx_lxfs,
                xdx_ahtc: data.xdx_ahtc,
                xdx_ydbz: data.xdx_ydbz,
                xdx_yddqzt: data.xdx_yddqzt,
                grade_id: data.grade_id,
                class_id: data.class_id,
                grade_name: data.grade_name,
                class_name: data.class_name,
                xdx_xx: data.xdx_xx,
            }

        },
    })

export const xjk_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/edit',
        data: {
            issubmit: '1',
            xdx_id: data.xdx_id,
            xddy_dygl_xsxjk: {
                xdx_xsxm: data.xdx_xsxm,
                xdx_xsxh: data.xdx_xsxh,
                xdx_csrq: data.xdx_csrq,
                xdx_zjlx: data.xdx_zjlx,
                xdx_zym: data.xdx_zym,
                xdx_zjhm: data.xdx_zjhm,
                xdx_jg: data.xdx_jg,
                xdx_xb: data.xdx_xb,
                xdx_mz: data.xdx_mz,
                xdx_zzmm: data.xdx_zzmm,
                xdx_whcd: data.xdx_whcd,
                xdx_rdsj: data.xdx_rdsj,
                xdx_szzb: data.xdx_szzb,
                xdx_szdxz: data.xdx_szdxz,
                xdx_jtzz: data.xdx_jtzz,
                xdx_xxdz: data.xdx_xxdz,
                xdx_sczp: data.xdx_sczp,
                xdx_lxfs: data.xdx_lxfs,
                xdx_ahtc: data.xdx_ahtc,
                xdx_ydbz: data.xdx_ydbz,
                xdx_yddqzt: data.xdx_yddqzt,
                grade_id: data.grade_id,
                class_id: data.class_id,
                grade_name: data.grade_name,
                class_name: data.class_name,
                xdx_nl: data.xdx_nl,
                xdx_bz: data.xdx_bz,
                xdx_xx: data.xdx_xx,
            }

        },
    })

export const xjk_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/detail',
        data: {
            xdx_id: data.xdx_id,
         xdx_xsxh:data.xdx_xsxh
 
        },
    })

export const xjk_del = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/delete',
        data: {
            xdx_id: data.xdx_id
        },
    })

export const xjk_export = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })
export const family_list = (data = {}) => {
  return request({  url: '/xddy/dygl_xsxjk_jtcy/index', data })
}
    export const xqgl_list = (data = {}) =>
    request({
        url: '/jcxx/team/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            team_id: data.team_id,

        }
    })