import request from '@/utils/request'
export const hmc_list = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            xdx_xsxh: data.xdx_xsxh,
            xdx_zjlx: data.xdx_zjlx,
            xdx_zym: data.xdx_zym,
            xdx_zjhm: data.xdx_zjhm,
            xdx_jg: data.xdx_jg,
            xdx_xb: data.xdx_xb,
            xdx_mz: data.xdx_mz,
            xdx_zzmm: data.xdx_zzmm,
            xdx_whcd: data.xdx_whcd,
            xdx_szzb: data.xdx_szzb,
            xdx_szdxz: data.xdx_szdxz,
            xdx_jtzz: data.xdx_jtzz,
            xdx_xxdz: data.xdx_xxdz,
            xdx_lxfs: data.xdx_lxfs,
            xdx_ahtc: data.xdx_ahtc,
            xdx_yddqzt: data.xdx_yddqzt,
            grade_id: data.grade_id,
            class_id: data.class_id,
            grade_name: data.grade_name,
            class_name: data.class_name,
            xdx_nl: data.xdx_nl,
            xdx_xx: data.xdx_xx,
         team_name: data.team_name,
            team_id: data.team_id,
        }
    })

export const hmc_add = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/add',
        data: {
            issubmit: '1',
            xddy_dygl_xsxjk: {
                xdx_xsxm: data.xdx_xsxm,
                xdx_xsxh: data.xdx_xsxh,
                xdx_csrq: data.xdx_csrq,
                xdx_zjlx: data.xdx_zjlx,
                xdx_zym: data.xdx_zym,
                xdx_zjhm: data.xdx_zjhm,
                xdx_jg: data.xdx_jg,
                xdx_xb: data.xdx_xb,
                xdx_nl: data.xdx_nl,
                xdx_bz: data.xdx_bz,
                xdx_mz: data.xdx_mz,
                xdx_zzmm: data.xdx_zzmm,
                xdx_whcd: data.xdx_whcd,
                xdx_rdsj: data.xdx_rdsj,
                xdx_szzb: data.xdx_szzb,
                xdx_szdxz: data.xdx_szdxz,
                xdx_jtzz: data.xdx_jtzz,
                xdx_xxdz: data.xdx_xxdz,
                xdx_sczp: data.xdx_sczp,
                xdx_lxfs: data.xdx_lxfs,
                xdx_ahtc: data.xdx_ahtc,
                xdx_ydbz: data.xdx_ydbz,
                xdx_yddqzt: data.xdx_yddqzt,
                grade_id: data.grade_id,
                class_id: data.class_id,
                grade_name: data.grade_name,
                class_name: data.class_name,
                xdx_xx: data.xdx_xx,
            }

        },
    })

export const hmc_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/edit',
        data: {
            issubmit: '1',
            xdx_id: data.xdx_id,
            xddy_dygl_xsxjk: {
                xdx_xsxm: data.xdx_xsxm,
                xdx_xsxh: data.xdx_xsxh,
                xdx_csrq: data.xdx_csrq,
                xdx_zjlx: data.xdx_zjlx,
                xdx_zym: data.xdx_zym,
                xdx_zjhm: data.xdx_zjhm,
                xdx_jg: data.xdx_jg,
                xdx_xb: data.xdx_xb,
                xdx_mz: data.xdx_mz,
                xdx_zzmm: data.xdx_zzmm,
                xdx_whcd: data.xdx_whcd,
                xdx_rdsj: data.xdx_rdsj,
                xdx_szzb: data.xdx_szzb,
                xdx_szdxz: data.xdx_szdxz,
                xdx_jtzz: data.xdx_jtzz,
                xdx_xxdz: data.xdx_xxdz,
                xdx_sczp: data.xdx_sczp,
                xdx_lxfs: data.xdx_lxfs,
                xdx_ahtc: data.xdx_ahtc,
                xdx_ydbz: data.xdx_ydbz,
                xdx_yddqzt: data.xdx_yddqzt,
                grade_id: data.grade_id,
                class_id: data.class_id,
                grade_name: data.grade_name,
                class_name: data.class_name,
                xdx_nl: data.xdx_nl,
                xdx_bz: data.xdx_bz,
                xdx_xx: data.xdx_xx,
            }

        },
    })

export const hmc_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/detail',
        data: {
            xdx_id: data.xdx_id,
  xdx_xsxh:data.xdx_xsxh
        },
    })

export const hmc_del = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/delete',
        data: {
            xdx_id: data.xdx_id
        },
    })

export const hmc_export = (data = {}) =>
    request({
        url: '/xddy/dygl_xsxjk/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })
    export const bjgl_list = (data = {}) =>
    request({
        url: '/jcxx/class/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            class_name_short: data.class_name_short,
            class_num: data.class_num,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            team_id: data.team_id,
            team_name: data.team_name,
            rxnf: data.rxnf,


        }
    })
export const team_search = (data = {}) =>
    request({
        url: '/jcxx/team/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            team_id: data.team_id,
        }
    })

export const ry_list = (data = {}) =>
    request({
        url: '/xddy/dygl_xshjgl_rygl/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            xdxr_xsxh: data.xdxr_xsxh,
            xdxr_jldj: data.xdxr_jldj,
            xdxr_jljb: data.xdxr_jljb,
            xdxr_hjfs: data.xdxr_hjfs
        }
    })
export const ry_add = (data = {}) =>
    request({
        url: '/xddy/dygl_xshjgl_rygl/add',
        data: {
            issubmit: '1',
            xddy_dygl_xshjgl_rygl:{
                xdxr_xsxm:data.xdxr_xsxm,
                xdxr_xsxh:data.xdxr_xsxh,
                xdxr_shrymc:data.xdxr_shrymc,
                xdxr_jljb:data.xdxr_jljb,
                xdxr_rychsj:data.xdxr_rychsj,
                xdxr_bjsybm: data.xdxr_bjsybm,
                xdxr_jldj:data.xdxr_jldj,
                xdxr_hjxm:data.xdxr_hjxm,
                xdxr_hjfs:data.xdxr_hjfs,
                xdxr_scfj:data.xdxr_scfj,
                xdxr_hjyy:data.xdxr_hjyy
            }
        }
    })
export const ry_del = (data ={}) =>
    request({
        url: '/xddy/dygl_xshjgl_rygl/delete',
        data: {
            issubmit: '1',
            xdxr_id:data.xdxr_id
        }
    })
export const ry_edit = (data ={}) =>
    request({
        url: '/xddy/dygl_xshjgl_rygl/edit',
        data: {
            issubmit: '1',
            xdxr_id:data.xdxr_id,
            xddy_dygl_xshjgl_rygl:{
                isdelete:'1'
            }
        }
    })
export const family_list = (data = {}) => {
  return request({  url: '/xddy/dygl_xsxjk_jtcy/index', data })
}
export const family_add = (data = {}) => {
  return request({  url: '/xddy/dygl_xsxjk_jtcy/add', data })
}
export const family_edit = (data = {}) => {
  return request({  url: '/xddy/dygl_xsxjk_jtcy/edit', data })
}
export const family_del = (data = {}) => {
  return request({  url: '/xddy/dygl_xsxjk_jtcy/delete', data })
}