import request from '@/utils/request';
export const zzls_list = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_zzjs/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      grade_id: data.grade_id,
      grade_name: data.grade_name,
      class_name: data.class_name,
      class_id: data.class_id,
      xdbz_zzlx: data.xdbz_zzlx,

    }
  })
export const zzls_add = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_zzjs/add',
    data: {
      issubmit: '1',
      xddy_dygl_bjzzpb_zzjs: {
        xdbz_zzjs: data.xdbz_zzjs,
        xdbz_sj: data.xdbz_sj,
        grade_id: data.grade_id,
        grade_name: data.grade_name,
        class_name: data.class_name,
        class_id: data.class_id,
        xdbz_zzlx: data.xdbz_zzlx,
      }
    }
  })
export const zzls_edit = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_zzjs/edit',
    data: {
      issubmit: '1',
      xdbz_id: data.xdbz_id,
      xddy_dygl_bjzzpb_zzjs: {
        xdbz_zzjs: data.xdbz_zzjs,
        xdbz_sj: data.xdbz_sj,
        grade_id: data.grade_id,
        grade_name: data.grade_name,
        class_name: data.class_name,
        class_id: data.class_id,
        xdbz_zzlx: data.xdbz_zzlx,
      }
    }
  })
export const zzls_del = (data = {}) =>
  request({
    url: '/xddy/dygl_bjzzpb_zzjs/delete',
    data: {

      xdbz_id: data.xdbz_id
    }
  })
export const grade_search = (data = {}) =>
  request({
    url: '/jcxx/grade/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      grade_id: data.grade_id,
    }
  })

export const class_search = (data = {}) =>
  request({
    url: '/jcxx/class/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      class_name_short: data.class_name_short,
      class_num: data.class_num,
      grade_id: data.grade_id,
      grade_name: data.grade_name,
      team_id: data.team_id,
      team_name: data.team_name,
      rxnf: data.rxnf,

    }
  })