import request from '@/utils/request';
export const wdsz_list = (data = {}) =>
    request({
        url: '/xddy/dygl_wypj_wdsz/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,


        }
    })
export const dyewm_list = (data = {}) =>
    request({
        url: '/xddy/dygl_wypj_dyewm/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            xdww_id: data.xdww_id,
            xdwd_syzt: data.xdwd_syzt,


        }
    })
export const dyewm_add = (data = {}) =>
    request({
        url: '/xddy/dygl_wypj_dyewm/add',
        data: {
            issubmit: '1',
            xddy_dygl_wypj_dyewm: {
                xdww_name: data.xdww_name,
                xdww_id: data.xdww_id,
                xdwd_syzt: data.xdwd_syzt,
                xdwd_syxs: data.xdwd_syxs,
                xdwd_sysj: data.xdwd_sysj,
                xdwd_dyewm: data.xdwd_dyewm,

            }
        }
    })
export const dyewm_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_wypj_dyewm/edit',
        data: {
            issubmit: '1',
            xdwd_id: data.xdwd_id,
            xddy_dygl_wypj_dyewm: {
                xdww_name: data.xdww_name,
                xdww_id: data.xdww_id,
                xdwd_syzt: data.xdwd_syzt,
                xdwd_syxs: data.xdwd_syxs,
                xdwd_sysj: data.xdwd_sysj,
                xdwd_dyewm: data.xdwd_dyewm,

            }
        }
    })
export const dyewm_del = (data = {}) =>
    request({
        url: '/xddy/dygl_wypj_dyewm/delete',
        data: {
            xdwd_id: data.xdwd_id,
        }
    })

export const dyewm_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_wypj_dyewm/detail',
        data: {
            xdwd_id: data.xdwd_id,
        }
    })
export const dyewm_export = (data = {}) =>
    request({
        url: '/xddy/dygl_wypj_dyewm/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })

export const xjk_list = (data = {}) =>
  request({
    url: "/xddy/dygl_xsxjk/index",
    data,
  });