import request from "@/utils/request";
export const xsewm_list = (data = {}) =>
  request({
    url: "/xddy/dygl_xsxjk/index",
    data,
  });
export const xsewm_add = (data = {}) =>
  request({
    url: "/xddy/dygl_wypj_xsewm/add",
    data: {
      issubmit: "1",
      xddy_dygl_wypj_xsewm: {
        grade_id: data.grade_id,
        grade_name: data.grade_name,
        class_id: data.class_id,
        class_name: data.class_name,
        xdwx_xsxm: data.xdwx_xsxm,
        xdwx_xsxh: data.xdwx_xsxh,
        xdwx_xsxb: data.xdwx_xsxb,
        xdwx_xsewm: data.xdwx_xsewm,
      },
    },
  });
export const xsewm_edit = (data = {}) =>
  request({
    url: "/xddy/dygl_wypj_xsewm/edit",
    data: {
      issubmit: "1",
      xdwx_id: data.xdwx_id,
      xddy_dygl_wypj_xsewm: {
        grade_id: data.grade_id,
        grade_name: data.grade_name,
        class_id: data.class_id,
        class_name: data.class_name,
        xdwx_xsxm: data.xdwx_xsxm,
        xdwx_xsxh: data.xdwx_xsxh,
        xdwx_xsxb: data.xdwx_xsxb,
        xdwx_xsewm: data.xdwx_xsewm,
      },
    },
  });
export const xsewm_del = (data = {}) =>
  request({
    url: "/xddy/dygl_wypj_xsewm/delete",
    data: {
      xdww_id: data.xdww_id,
    },
  });

export const xsewm_detail = (data = {}) =>
  request({
    url: "/xddy/dygl_wypj_xsewm/detail",
    data: {
      xdww_id: data.xdww_id,
    },
  });
export const xsewm_export = (data = {}) =>
  request({
    url: "/xddy/dygl_wypj_xsewm/index",
    api: "xls",
    data: {
      page: data.page,
      limit: data.limit,
    },
  });
export const grade_search = (data = {}) =>
  request({
    url: "/jcxx/grade/index",
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      grade_id: data.grade_id,
    },
  });

export const class_search = (data = {}) =>
  request({
    url: "/jcxx/class/index",
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      class_name_short: data.class_name_short,
      class_num: data.class_num,
      grade_id: data.grade_id,
      grade_name: data.grade_name,
      team_id: data.team_id,
      team_name: data.team_name,
      rxnf: data.rxnf,
    },
  });

export const wypj_pf = (data = {}) => {
  return request({
    url: "/xddy/dygl_wypj_pjjl/index",
    data,
  });
};

export const wypj_edit = (data = {}) => {
  return request({
    url: "/xddy/dygl_wypj_pjjl/edit",
    data,
  });
};

export const wypj_detail = (data = {}) => {
  return request({
    url: "/xddy/dygl_wypj_pjjl/detail",
    data,
  });
};

export const wypj_del = (data = {}) => {
  return request({
    url: "/xddy/dygl_wypj_pjjl/delete",
    data,
  });
};

export const jfdh_add = (data = {}) => {
  return request({
    url: "/xddy/dygl_wypj_xsjfdhqk/add",
    data,
  });
};