import request from '@/utils/request'
export const hzlx_list = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_hzlx/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            xdxh_qyzt: data.xdxh_qyzt,
        }
    })

export const hzlx_add = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_hzlx/add',
        data: {
            issubmit: '1',
            xddy_dygl_xsczda_hzlx: {
                xdxh_lxmc: data.xdxh_lxmc,
                xdxh_jf: data.xdxh_jf,
                xdxh_qyzt: data.xdxh_qyzt,

            }

        },
    })

export const hzlx_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_hzlx/edit',
        data: {
            issubmit: '1',
            xdxh_id: data.xdxh_id,
            xddy_dygl_xsczda_hzlx: {
                xdxh_lxmc: data.xdxh_lxmc,
                xdxh_jf: data.xdxh_jf,
                xdxh_qyzt: data.xdxh_qyzt,
            }

        },
    })

export const hzlx_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_hzlx/detail',
        data: {
            xdxh_id: data.xdxh_id,

        },
    })

export const hzlx_del = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_hzlx/delete',
        data: {
            xdxh_id: data.xdxh_id
        },
    })

export const hzlx_export = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_hzlx/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })