import request from '@/utils/request'

export const gradeid = (data = {}) =>
    request({
        url: '/jcxx/grade/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
        }
    })
export const classid = (data = {}) =>
    request({
        url: '/jcxx/grade/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
        }
    })
export const nj_list = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_nj/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
        }
    })

export const nj_add = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_nj/add',
        data: {
            issubmit: '1',
            xddy_dygl_xsczda_nj: {
                grade_name: data.grade_name,
                grade_id: data.grade_id,
                xdxn_zrs: data.xdxn_zrs,

            }

        },
    })

export const nj_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_nj/edit',
        data: {
            issubmit: '1',
            xdxn_id: data.xdxn_id,
            xddy_dygl_xsczda_nj: {
                grade_name: data.grade_name,
                grade_id: data.grade_id,
                xdxn_zrs: data.xdxn_zrs,
            }

        },
    })

export const nj_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_nj/detail',
        data: {
            xdxn_id: data.xdxn_id,

        },
    })

export const nj_del = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_nj/delete',
        data: {
            xdxn_id: data.xdxn_id
        },
    })

export const nj_export = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_nj/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })
export const grade_search = (data = {}) =>
    request({
        url: '/jcxx/grade/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
        }
    })

export const class_search = (data = {}) =>
    request({
        url: '/jcxx/class/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            class_name_short: data.class_name_short,
            class_num: data.class_num,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            team_id: data.team_id,
            team_name: data.team_name,
            rxnf: data.rxnf,

        }
    })