import request from '@/utils/request'
export const bj_list = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_bj/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_name: data.grade_name,
            grade_id: data.grade_id,
            class_id: data.class_id
        }
    })

export const bj_add = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_bj/add',
        data: {
            issubmit: '1',
            xddy_dygl_xsczda_bj: {
                class_name: data.class_name,
                grade_name: data.grade_name,
                class_id: data.class_id,
                grade_id: data.grade_id,
                xdxb_zrs: data.xdxb_zrs,

            }

        },
    })

export const bj_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_bj/edit',
        data: {
            issubmit: '1',
            xdxb_id: data.xdxb_id,
            xddy_dygl_xsczda_bj: {
                class_name: data.class_name,
                class_id: data.class_id,
                xdxb_zrs: data.xdxb_zrs,
                grade_id: data.grade_id,
                grade_name: data.grade_name,
            }

        },
    })

export const bj_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_bj/detail',
        data: {
            xdxb_id: data.xdxb_id,

        },
    })

export const bj_del = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_bj/delete',
        data: {
            xdxb_id: data.xdxb_id
        },
    })

export const bj_export = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_bj/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit,
        },
    })
export const grade_search = (data = {}) =>
    request({
        url: '/jcxx/grade/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
        }
    })

export const class_search = (data = {}) =>
    request({
        url: '/jcxx/class/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            class_name_short: data.class_name_short,
            class_num: data.class_num,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            team_id: data.team_id,
            team_name: data.team_name,
            rxnf: data.rxnf,

        }
    })