import request from '@/utils/request'
export const xs_list = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_xs/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            class_id: data.class_id,
            class_name: data.class_name,
            xdxx_xsxh: data.xdxx_xsxh,
            xdxx_xsxb: data.xdxx_xsxb,

        }
    })

export const xs_add = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_xs/add',
        data: {
            issubmit: '1',
            xddy_dygl_xsczda_xs: {
                grade_id: data.grade_id,
                grade_name: data.grade_name,
                class_id: data.class_id,
                class_name: data.class_name,
                xdxx_xsxm: data.xdxx_xsxm,
                xdxx_xsxh: data.xdxx_xsxh,
                xdxx_xsxb: data.xdxx_xsxb,
                xdxx_czda_json: data.xdxx_czda_json,
                xdxx_qtfjsj: data.xdxx_qtfjsj,
                xdxx_pj: data.xdxx_pj,
                xdxx_xgycdf: data.xdxx_xgycdf,
                xdxx_ktxxdf: data.xdxx_ktxxdf,
                xdxx_gcxcjdf: data.xdxx_gcxcjdf,
                xdxx_qmpgdf: data.xdxx_qmpgdf,
                xdxx_tczsdf: data.xdxx_tczsdf,
                xdxx_cyhddf: data.xdxx_cyhddf,
                xdxx_xstjdf: data.xdxx_xstjdf,
                xdxx_tkcsdf: data.xdxx_tkcsdf,
                xdxx_bjzrdf: data.xdxx_bjzrdf,
                xdxx_shsjdf: data.xdxx_shsjdf,
                xdxx_zdf: data.xdxx_zdf

            }

        },
    })

export const xs_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_xs/edit',
        data: {
            issubmit: '1',
            xdxx_id: data.xdxx_id,
            xddy_dygl_xsczda_xs: {
                grade_id: data.grade_id,
                grade_name: data.grade_name,
                class_id: data.class_id,
                class_name: data.class_name,
                xdxx_xsxm: data.xdxx_xsxm,
                xdxx_xsxh: data.xdxx_xsxh,
                xdxx_xsxb: data.xdxx_xsxb,
                xdxx_czda_json: data.xdxx_czda_json,
                xdxx_qtfjsj: data.xdxx_qtfjsj,
                xdxx_pj: data.xdxx_pj,
                xdxx_xgycdf: data.xdxx_xgycdf,
                xdxx_ktxxdf: data.xdxx_ktxxdf,
                xdxx_gcxcjdf: data.xdxx_gcxcjdf,
                xdxx_qmpgdf: data.xdxx_qmpgdf,
                xdxx_tczsdf: data.xdxx_tczsdf,
                xdxx_cyhddf: data.xdxx_cyhddf,
                xdxx_xstjdf: data.xdxx_xstjdf,
                xdxx_tkcsdf: data.xdxx_tkcsdf,
                xdxx_bjzrdf: data.xdxx_bjzrdf,
                xdxx_shsjdf: data.xdxx_shsjdf,
                xdxx_zdf: data.xdxx_zdf

            }

        },
    })

export const xs_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_xs/detail',
        data: {
            xdxx_id: data.xdxx_id,
            xdxx_xsxh: data.xdxx_xsxh,
        },
    })

export const xs_del = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_xs/delete',
        data: {
            xdxx_id: data.xdxx_id
        },
    })

export const xs_export = (data = {}) =>
    request({
        url: '/xddy/dygl_xsczda_xs/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })
export const grade_search = (data = {}) =>
    request({
        url: '/jcxx/grade/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
        }
    })

export const class_search = (data = {}) =>
    request({
        url: '/jcxx/class/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            class_name_short: data.class_name_short,
            class_num: data.class_num,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            team_id: data.team_id,
            team_name: data.team_name,
            rxnf: data.rxnf,

        }
    })

export const xslb_list = (data = {}) =>
    request({
        url: '/xddy/xstzjk_xslb/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            xtj_xsxm: data.xtj_xsxm,
            xtj_xsxh: data.xtj_xsxh,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            class_id: data.class_id,
            class_name: data.class_name,
            xtj_jlrq: data.xtj_jlrq,
            xdx_id: data.xdx_id,
        }
    })


export const xslb_detail = (data = {}) =>
    request({
        url: '/xddy/xstzjk_xslb/detail',
        data: {
            xtj_id: data.xtj_id,

        },
    })
