import request from '@/utils/request'
export const xslb_list = (data = {}) =>
    request({
        url: '/xddy/xstzjk_xslb/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            xtj_xsxm: data.xtj_xsxm,
            xtj_xsxh: data.xtj_xsxh,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            class_id: data.class_id,
            class_name: data.class_name,
            xtj_jlrq: data.xtj_jlrq,
            xdx_id: data.xdx_id,
        }
    })

export const xslb_add = (data = {}) =>
    request({
        url: '/xddy/xstzjk_xslb/add',
        data: {
            issubmit: '1',
            xddy_xstzjk_xslb: {
                xtj_xsxm: data.xtj_xsxm,
                xtj_xsxh: data.xtj_xsxh,
                grade_id: data.grade_id,
                grade_name: data.grade_name,
                team_id: data.team_id,
                team_name: data.team_name,
                class_id: data.class_id,
                class_name: data.class_name,
                xtj_jlrq: data.xtj_jlrq,
                xtj_jcxl: data.xtj_jcxl,
                xtj_bmi: data.xtj_bmi,
                xtj_tzl: data.xtj_tzl,
                xtj_fhl: data.xtj_fhl,
                xtj_slz: data.xtj_slz,
                xtj_sly: data.xtj_sly,
                xtj_sl: data.xtj_sl,
                xtj_wfp: data.xtj_wfp,
                xtj_nlp: data.xtj_nlp,
                xtj_50mp: data.xtj_50mp,
                xtj_1fzywqz: data.xtj_1fzywqz,
                xtj_ldty: data.xtj_ldty,
                xtj_1fzts: data.xtj_1fzts,
                xtj_ytxs: data.xtj_ytxs,
                xtj_zwtqq: data.xtj_zwtqq,
                xtj_sxq: data.xtj_sxq,
            }

        },
    })

export const xslb_edit = (data = {}) =>
    request({
        url: '/xddy/xstzjk_xslb/edit',
        data: {
            issubmit: '1',
            xtj_id: data.xtj_id,
            xddy_xstzjk_xslb: {
                xtj_xsxm: data.xtj_xsxm,
                xtj_xsxh: data.xtj_xsxh,
                grade_id: data.grade_id,
                grade_name: data.grade_name,
                class_id: data.class_id,
                class_name: data.class_name,
                xtj_jlrq: data.xtj_jlrq,

            }

        },
    })

export const xslb_detail = (data = {}) =>
    request({
        url: '/xddy/xstzjk_xslb/detail',
        data: {
            xtj_id: data.xtj_id,
            xtj_xsxh: data.xtj_xsxh,
        },
    })

export const xslb_del = (data = {}) =>
    request({
        url: '/xddy/xstzjk_xslb/delete',
        data: {
            xtj_id: data.xtj_id
        },
    })

export const xslb_export = (data = {}) =>
    request({
        url: '/xddy/xstzjk_xslb/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })

export const grade_search = (data = {}) =>
    request({
        url: '/jcxx/grade/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
        }
    })

export const class_search = (data = {}) =>
    request({
        url: '/jcxx/class/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            class_name_short: data.class_name_short,
            class_num: data.class_num,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            team_id: data.team_id,
            team_name: data.team_name,
            rxnf: data.rxnf,

        }
    })
export const xqgl_list = (data = {}) =>
    request({
        url: '/jcxx/team/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            team_id: data.team_id,



        }
    })