import request from '@/utils/request'
export const rstj_list = (data = {}) =>
    request({
        url: '/xddy/dygl_xsrstjlb/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            team_name: data.team_name,
            team_id: data.team_id,
            grade_name: data.grade_name,
            grade_id: data.grade_id,
            num: data.num,
        }
    })

export const rstj_add = (data = {}) =>
    request({
        url: '/xddy/dygl_xsrstjlb/add',
        data: {
            issubmit: '1',
            xddy_dygl_xsrstjlb: {
                other: data.other,
                team_name: data.team_name,
                team_id: data.team_id,
                grade_name: data.grade_name,
                grade_id: data.grade_id,
                num: data.num,
            }

        },
    })

export const rstj_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_xsrstjlb/edit',
        data: {
            issubmit: '1',
            id: data.id,
            xddy_dygl_xsrstjlb: {
                other: data.other,
                team_name: data.team_name,
                team_id: data.team_id,
                grade_name: data.grade_name,
                grade_id: data.grade_id,
                num: data.num,
            }

        },
    })

export const rstj_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_xsrstjlb/detail',
        data: {
            id: data.id,

        },
    })

export const rstj_del = (data = {}) =>
    request({
        url: '/xddy/dygl_xsrstjlb/delete',
        data: {
            id: data.id,
        },
    })

export const rstj_export = (data = {}) =>
    request({
        url: '/xddy/dygl_xsrstjlb/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })
export const grade_search = (data = {}) =>
    request({
        url: '/jcxx/grade/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            grade_id: data.grade_id,
        }
    })
export const team_search = (data = {}) =>
    request({
        url: '/jcxx/team/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            team_id: data.team_id,
        }
    })

