import request from '@/utils/request'
export const rstjck_list = (data = {}) =>
    request({
        url: '/xddy/dygl_xsrstjlb_ck/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            team_name: data.team_name,
            team_id: data.team_id,
            grade_name: data.grade_name,
            grade_id: data.grade_id,
            num: data.num,
            class_name: data.class_name,
            class_id: data.class_id,
        }
    })

export const rstjck_add = (data = {}) =>
    request({
        url: '/xddy/dygl_xsrstjlb_ck/add',
        data: {
            issubmit: '1',
            xddy_dygl_xsrstjlb_ck: {
                other: data.other,
                team_name: data.team_name,
                team_id: data.team_id,
                grade_name: data.grade_name,
                grade_id: data.grade_id,
                num: data.num,
                class_name: data.class_name,
                class_id: data.class_id,
            }

        },
    })

export const rstjck_edit = (data = {}) =>
    request({
        url: '/xddy/dygl_xsrstjlb_ck/edit',
        data: {
            issubmit: '1',
            id: data.id,
            xddy_dygl_xsrstjlb_ck: {
                other: data.other,
                team_name: data.team_name,
                team_id: data.team_id,
                grade_name: data.grade_name,
                grade_id: data.grade_id,
                num: data.num,
                class_name: data.class_name,
                class_id: data.class_id,
            }

        },
    })

export const rstjck_detail = (data = {}) =>
    request({
        url: '/xddy/dygl_xsrstjlb_ck/detail',
        data: {
            id: data.id,

        },
    })

export const rstjck_del = (data = {}) =>
    request({
        url: '/xddy/dygl_xsrstjlb_ck/delete',
        data: {
            id: data.id,
        },
    })

export const rstjck_export = (data = {}) =>
    request({
        url: '/xddy/dygl_xsrstjlb_ck/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })
export const class_search = (data = {}) =>
    request({
        url: '/jcxx/class/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            class_name_short: data.class_name_short,
            class_num: data.class_num,
            grade_id: data.grade_id,
            grade_name: data.grade_name,
            team_id: data.team_id,
            team_name: data.team_name,
            rxnf: data.rxnf,

        }
    })